summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-util/w32api/w32api-3.17.2.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-util/w32api/w32api-3.17.2.ebuild')
-rw-r--r--dev-util/w32api/w32api-3.17.2.ebuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/dev-util/w32api/w32api-3.17.2.ebuild b/dev-util/w32api/w32api-3.17.2.ebuild
new file mode 100644
index 00000000000..2b8a78f1c5b
--- /dev/null
+++ b/dev-util/w32api/w32api-3.17.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+export CBUILD=${CBUILD:-${CHOST}}
+export CTARGET=${CTARGET:-${CHOST}}
+if [[ ${CTARGET} == ${CHOST} ]] ; then
+ if [[ ${CATEGORY} == cross-* ]] ; then
+ export CTARGET=${CATEGORY#cross-}
+ fi
+fi
+
+inherit eutils flag-o-matic
+
+MY_P="${P:0:${#P}-2}-${PV:0-1}-mingw32"
+DESCRIPTION="Free Win32 runtime and import library definitions"
+HOMEPAGE="http://www.mingw.org/"
+# http://sourceforge.net/projects/mingw/files/MinGW/Base/w32api/
+SRC_URI="mirror://sourceforge/mingw/${MY_P}-src.tar.lzma"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~sparc x86"
+IUSE="crosscompile_opts_headers-only"
+RESTRICT="strip"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+S=${WORKDIR}/${MY_P}
+
+just_headers() {
+ use crosscompile_opts_headers-only && [[ ${CHOST} != ${CTARGET} ]]
+}
+
+pkg_setup() {
+ if [[ ${CBUILD} == ${CHOST} ]] && [[ ${CHOST} == ${CTARGET} ]] ; then
+ die "Invalid configuration; do not emerge this directly"
+ fi
+}
+
+src_compile() {
+ just_headers && return 0
+
+ CHOST=${CTARGET} strip-unsupported-flags
+ econf \
+ --host=${CTARGET} \
+ --prefix=/usr/${CTARGET}/usr
+ emake || die
+}
+
+src_install() {
+ if just_headers ; then
+ insinto /usr/${CTARGET}/usr/include
+ doins -r include/* || die
+ else
+ emake install DESTDIR="${D}" || die
+ env -uRESTRICT CHOST=${CTARGET} prepallstrip
+ dodoc CONTRIBUTIONS ChangeLog README.w32api TODO
+
+ # Make sure diff cross-compilers don't collide #414075
+ mv "${D}"/usr/share/doc/{${PF},${CTARGET}-${PF}} || die
+ fi
+}